Subject: RE: `Color ls' from a bash$ window
From: [email-masked] (John Cook)

22 Oct 1997 20:26:12 -0700
Message-ID: <c=US%a=_%p=KLA_Instruments_%l=[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 7bit
To: "[email-masked]'" <[email-masked]>

Hi.

I recommend that you use '--color=auto' instead of '--color' 
in your aliases so that ls will produce color output only when 
printing to a tty.  I once had aliases like those below and 
ran into difficulties because ls was putting tty color escape 
codes into redirected output.  See 'ls --help' for more info.

Also, your 'no extra cost' may vary--I find that ls runs 
noticeably slower with color enabled than it does without 
color.  (I am running the stock b18 gnuwin32 tools--which I 
think means I have a build with 'debug' overhead built in-- 
on a P133 with 64 MB RAM.)  I do like the color output; 
I just hope the performance improves one of these versions.

--John

>----------
>From: 	Victor Schneider[SMTP:[email-masked]]
>Sent: 	Wednesday, October 22, 1997 5:40 AM
>To: 	[email-masked]
>Subject: 	`Color ls' from a bash$ window
>
>At no extra cost, you can get your bash$ window ls listings colorized to
>show directories and executable files.  The trick is to store a .bashrc
>file in your root directory.  Under W95/WNT, the root directory is either
>c:\ or c:\root (and you can `set HOME=/root' in your autoexec.bat).
>
>Enclosed is a .bashrc file that you can use:
>============================================================================
>alias ls="ls -CF --color"
>alias dir="ls -CF --color"
>alias less="less -aCMrsi"
>ulimit -c 0
>export MM_RUNASROOT=1 
>
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".
>
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".